<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <?php
    $setting = \App\Models\Setting::orderBy('id','desc')->first();
  ?>
  <link rel="icon" type="image/png" href="<?php echo e(asset('upload/'.$setting->favicon)); ?>">

  <title><?php echo $__env->yieldContent('title'); ?></title>

  <!-- Custom fonts for this template-->
  <link href="<?php echo e(asset('backEnd/vendor/fontawesome-free/css/all.min.css')); ?>" rel="stylesheet" type="text/css">

  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="<?php echo e(asset('backEnd/css/sb-admin-2.min.css')); ?>" rel="stylesheet">

  <!-- DataTable -->
  <link href="<?php echo e(asset('backEnd/vendor/datatables/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet">

  <!-- Select2 -->
  <link rel="stylesheet" href="<?php echo e(asset('backEnd/plugins/select2/css/select2.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('backEnd/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')); ?>">

  <!-- success alert -->
  <link href="<?php echo e(asset('css/iziToast.css')); ?>" rel="stylesheet">

  <!-- writting style -->
  <link rel="stylesheet" href="<?php echo e(asset('backEnd/css/summernote-bs4.min.css')); ?>">

  <!-- date picker -->
  <link href="<?php echo e(asset('backEnd/css/jquery-ui.css')); ?>" rel="stylesheet">

  <!-- custom css -->
  <link href="<?php echo e(asset('backEnd/css/custom.css')); ?>" rel="stylesheet">

  <?php echo $__env->yieldPushContent('css'); ?>
</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">
  	<?php echo $__env->make('layouts.backEnd.partials.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">
      <!-- Main Content -->
      <div id="content">
      	<?php echo $__env->make('layouts.backEnd.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
      	<?php echo $__env->yieldContent('content'); ?>
      </div>
      <!-- End of Main Content -->
      	<?php echo $__env->make('layouts.backEnd.partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <!-- End of Content Wrapper -->
  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Bootstrap core JavaScript-->
  <script src="<?php echo e(asset('backEnd/js/jquery-3.6.0.min.js')); ?>"></script>
  <script src="<?php echo e(asset('backEnd/vendor/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>

  <!-- Core plugin JavaScript-->
  <script src="<?php echo e(asset('backEnd/vendor/jquery-easing/jquery.easing.min.js')); ?>"></script>

  <!-- Custom scripts for all pages-->
  <script src="<?php echo e(asset('backEnd/js/sb-admin-2.min.js')); ?>"></script>

  <!-- Data Table -->
  <script src="<?php echo e(asset('backEnd/vendor/datatables/jquery.dataTables.min.js')); ?>"></script>
  <script src="<?php echo e(asset('backEnd/vendor/datatables/dataTables.bootstrap4.min.js')); ?>"></script>
  <script src="<?php echo e(asset('backEnd/js/demo/datatables-demo.js')); ?>"></script>

  <!-- sweetalert2  delete-->
  <script type="text/javascript" src="<?php echo e(asset('backEnd/js/sweetalert2@11.js')); ?>"></script>
  <script type="text/javascript" src="<?php echo e(asset('backEnd/js/customSweetalert2.js')); ?>"></script>

  <!-- success alert -->
  <script type="text/javascript" src="<?php echo e(asset('backEnd/js/iziToast.js')); ?>"></script>

  <!-- writting style -->
  <script src="<?php echo e(asset('backEnd/js/summernote-bs4.min.js')); ?>"></script>

  <!-- Select2 -->
  <script src="<?php echo e(asset('backEnd/plugins/select2/js/select2.full.min.js')); ?>"></script>

  <script>
    //image section
    $(document).ready(function(){
      $('#image').on('change',function(e){
        var reader = new FileReader();
        reader.onload = function(e){
          $('#showImage').attr('src',e.target.result);
        }
        reader.readAsDataURL(e.target.files['0']);
      });

      $('#banner').on('change',function(e){
        var reader = new FileReader();
        reader.onload = function(e){
          $('#showBanner').attr('src',e.target.result);
        }
        reader.readAsDataURL(e.target.files['0']);
      });
    });

    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Initialize Select2 Elements
      $('.select2bs4').select2({
        theme: 'bootstrap4'
      })

    });

    //date picker
    $( function() {
      $(".datepicker" ).datepicker({
        dateFormat: "yy-mm-dd"
      });
    } );

    //summer note
    $('.summernote').summernote({
      tabsize: 2,
      height: 300
    });

    $('.summernote2').summernote({
      tabsize: 2,
      height: 200
    });



  </script>

  <?php echo $__env->yieldPushContent('js'); ?>
  <?php echo $__env->make('vendor.lara-izitoast.toast', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <?php if($errors->any()): ?>
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <script>
                iziToast.error({
                    title: '',
                    position: 'topRight',
                    message: '<?php echo e($error); ?>',
                });
            </script>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>

    <?php if(session()->get('error')): ?>
        <script>
            iziToast.error({
                title: '',
                position: 'topRight',
                message: '<?php echo e(session()->get("error")); ?>',
            });
        </script>
    <?php endif; ?>

</body>

</html>
<?php /**PATH D:\laragon\www\phpscriptpoint\mulzix\mulzix\cms\resources\views/layouts/backEnd/app.blade.php ENDPATH**/ ?>