<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
    <!-- Meta Tags -->
    <meta name="viewport" content="width=device-width,initial-scale=1.0" />
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php
        $route = Route::currentRouteName();
    ?>

    <?php if($route == 'home.page'): ?>
        <?php $item_data = \App\Models\PageHome::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->title); ?></title>
        <meta name="description" content="<?php echo e($item_data->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.search'): ?>
        <?php $item_data = \App\Models\PageSearch::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_search); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_search); ?>">
    <?php endif; ?>


    <?php if($route == 'home.about'): ?>
        <?php $item_data = \App\Models\PageAbout::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_about); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_about); ?>">
    <?php endif; ?>

    <?php if($route == 'term.and.condition'): ?>
        <?php $item_data = \App\Models\PageTerm::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_term); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_term); ?>">
    <?php endif; ?>

    <?php if($route == 'privacy.policy'): ?>
        <?php $item_data = \App\Models\PagePrivacy::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_privacy); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_privacy); ?>">
    <?php endif; ?>


    <?php if($route == 'home.faq'): ?>
        <?php $item_data = \App\Models\PageFaq::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_faq); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_faq); ?>">
    <?php endif; ?>

    <?php if($route == 'home.team'): ?>
        <?php $item_data = \App\Models\PageTeam::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_team); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_team); ?>">
    <?php endif; ?>

    <?php if(Request::is('team/team-member/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('team/team-member/',$main_url);
        ?>
        <?php $single_member = \App\Models\TeamMember::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first(); ?>
        <title><?php echo e($single_member->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_member->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.portfolio'): ?>
        <?php $item_data = \App\Models\PagePortfolio::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_portfolio); ?></title>       
        <meta name="description" content="<?php echo e($item_data->md_portfolio); ?>">
    <?php endif; ?>

    <?php if(Request::is('portfolio/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('portfolio/',$main_url);
        ?>
        <?php $single_data = \App\Models\Portfolio::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first(); ?>
        <title><?php echo e($single_data->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_data->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.testimonial'): ?>
        <?php $item_data = \App\Models\PageTestimonial::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_testimonial); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_testimonial); ?>">
    <?php endif; ?>

    <?php if($route == 'home.pricing'): ?>
        <?php $item_data = \App\Models\PagePricing::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_pricing); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_pricing); ?>">
    <?php endif; ?>

    <?php if(Request::is('home/page/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('home/page/',$main_url);
            $single_data = \App\Models\DynamicPage::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first();
        ?>
        <title><?php echo e($single_data->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_data->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.photo.gallery'): ?>
        <?php $item_data = \App\Models\PagePhotoGallery::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_photo_gallery); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_photo_gallery); ?>">
    <?php endif; ?>

    <?php if($route == 'home.news'): ?>
        <?php $item_data = \App\Models\PageNews::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_news); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_news); ?>">
    <?php endif; ?>

    <?php if(Request::is('news/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('news/',$main_url);
        ?>
        <?php $single_data = \App\Models\News::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first(); ?>

        <title><?php echo e($single_data->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_data->meta_description); ?>">
    <?php endif; ?>

    <?php if(Request::is('news-category/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('news-category/',$main_url);
        ?>
        <?php $single_data = \App\Models\Category::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first(); ?>
        <title><?php echo e($single_data->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_data->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.service'): ?>
        <?php $item_data = \App\Models\PageService::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_service); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_service); ?>">
    <?php endif; ?>

    <?php if(Request::is('service/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('service/',$main_url);
        ?>
        <?php $single_data = \App\Models\Service::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first(); ?>
        <title><?php echo e($single_data->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_data->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.event'): ?>
        <?php $item_data = \App\Models\PageEvent::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_event); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_event); ?>">
    <?php endif; ?>

    <?php if(Request::is('event/*')): ?>
        <?php
            $main_url = Request::url();
            $slug = explode('event/',$main_url);
        ?>
        <?php $single_data = \App\Models\Event::where('lang_id',session('session_lang_id'))->where('slug',$slug[1])->first(); ?>
        <title><?php echo e($single_data->meta_title); ?></title>
        <meta name="description" content="<?php echo e($single_data->meta_description); ?>">
    <?php endif; ?>

    <?php if($route == 'home.contact'): ?>
        <?php $item_data = \App\Models\PageContact::where('lang_id',session('session_lang_id'))->first(); ?>
        <title><?php echo e($item_data->mt_contact); ?></title>
        <meta name="description" content="<?php echo e($item_data->md_contact); ?>">
    <?php endif; ?>


    <!-- Favicon -->
    <link rel="icon" type="image/png" href="<?php echo e(asset('upload/'.$setting->favicon)); ?>">

    <!-- Stylesheets -->
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/animate.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/jquery-ui.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/fontawesome-free/css/all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/magnific-popup.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/meanmenu.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/toastr.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/spacing.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/custom.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/iziToast.css')); ?>">

    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@400;700&family=Work+Sans:wght@400;500;600;700&display=swap" rel="stylesheet">

    <?php if(session('session_lang_id')): ?>
        <?php
            $lang = App\Models\Language::find(session('session_lang_id'));
        ?>
        <?php if($lang->layout_direction == 'Right'): ?>
            <link rel="stylesheet" href="<?php echo e(asset('frontEnd/css/rtl.css')); ?>">
        <?php endif; ?>
    <?php endif; ?>
    
    <!--Js-->
    <script src="<?php echo e(asset('frontEnd/js/jquery-3.6.0.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/owl.carousel.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/jquery.magnific-popup.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/jquery.meanmenu.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/jquery.filterizr.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/jquery.counterup.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/waypoints.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontEnd/js/viewportchecker.js')); ?>"></script>
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <script type="text/javascript" src="<?php echo e(asset('backEnd/js/iziToast.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('frontEnd/js/sweetalert2@11.js')); ?>"></script>

    <style>
        .header-area,
        ul.nav-menu li ul li a,
        .searchbar .input-search,
        .text-animated li a,
        .slider-one .owl-nav .owl-prev, 
        .slider-one .owl-nav .owl-next,
        .about-tab:before,
        .progress-gallery .bar-container .progress .progress-bar-custom,
        .choose-item:before,
        .feature-icon i,
        .feature-item:hover .feature-text,
        .bg-counterup,
        .portfolio-bg,
        .faq-header button.faq-button,
        .faq-header button.faq-button.collapsed:hover,
        .booking-area:before,
        .bg-booking,
        .team-carousel .owl-nav .owl-prev, 
        .team-carousel .owl-nav .owl-next,
        .team-text,
        .team-social li a:hover,
        .price-header i,
        .button-df a,
        .bg-testimonial,
        .testimonial-carousel .owl-dots .owl-dot,
        .blog-carousel .owl-nav .owl-prev, 
        .blog-carousel .owl-nav .owl-next,
        .blog-author li.blog-button a,
        .call-us:before,
        .footer-item h3:before,
        .footer-item h3:after,
        .footer-item .btn,
        .footer-item ul.footer-social li a,
        .scroll-top,
        .headstyle h4:before,
        .headstyle h4:after,
        .team-detail-text ul li a,
        .sidebar-item h3:before,
        .sidebar-item h3:after,
        .event-contact-item,
        .gallery-bg,
        .testimonial-grid .testimonial-description p:before, 
        .testimonial-two-carousel .testimonial-description p:before,
        .form-button .btn,
        .project-carousel .owl-nav .owl-prev, 
        .project-carousel .owl-nav .owl-next,
        .sidebar-item button,
        .contact-item:hover .contact-icon,
        .contact-form .btn,
        span.input-group-btn {
            background: #<?php echo e($setting->front_end_color); ?>!important;
        }

        ul.nav-menu li:hover > a,
        .searchbar .search-button:hover,
        .text-animated li a:hover,
        .text-animated li:last-child a:hover,
        .slider-one .owl-nav .owl-prev:hover, 
        .slider-one .owl-nav .owl-next:hover,
        .feature-item:hover .feature-icon i,
        .services-text a:hover,
        .portfolio-menu li.filtr-active,
        .portfolio-menu li:hover,
        .portfolio-text h3 a:hover,
        .form-button .btn2:hover,
        .blog-item h3 a:hover,
        .blog-item span i,
        .blog-author li a i,
        .blog-author li a:hover,
        .call-us .button a:hover,
        .footer-item ul li a:hover,
        .team-info ul li span,
        li.event-header-left i,
        .recent-text a:hover,
        .event-contact-item:hover .event-contact-icon,
        .service-sidebar-item ul li a:hover,
        .portfolio-details ul li span,
        .sidebar-item ul li a:hover,
        .blog-one-text h3 a:hover,
        .blog-one-text ul li i,
        .single-blog ul li i,
        .contact-icon {
            color: #<?php echo e($setting->front_end_color); ?>!important;   
        }

        .text-animated li a,
        .slider-one .owl-nav .owl-prev, 
        .slider-one .owl-nav .owl-next,
        .feature-icon i,
        .feature-item:hover .feature-text,
        .footer-item .form-control,
        .footer-item .btn,
        .footer-item ul.footer-social li a,
        .event-contact-item:hover .event-contact-icon,
        .form-control:focus,
        .sidebar-item button,
        .contact-item:hover .contact-icon,
        .contact-form .btn {
            border-color: #<?php echo e($setting->front_end_color); ?>!important;      
        }

        .video-button span {
            border-left-color: #<?php echo e($setting->front_end_color); ?>!important;         
        }

        .portfolio-menu li.filtr-active,
        .team-social li a:hover {
            border-bottom-color: #<?php echo e($setting->front_end_color); ?>!important;            
        }

        .portfolio-menu li.filtr-active:before,
        .team-social li a:hover {
            border-top-color: #<?php echo e($setting->front_end_color); ?>!important;               
        }

        ul.nav-menu li ul li:hover > a {
            background: #f1f1f1!important;
        }
        .text-animated li a:hover,
        .text-animated li:last-child a:hover,
        .slider-one .owl-nav .owl-prev:hover, 
        .slider-one .owl-nav .owl-next:hover {
            background: #fff!important;
            border-color: #fff!important;
        }
        .text-animated li:last-child a {
            background: #313131!important;
            border-color: #313131!important;
        }
        .blog-author li.blog-button a,
        .blog-author li.blog-button i,
        .footer-item ul.footer-social li a:hover,
        .contact-item:hover .contact-icon {
            color: #fff!important;
        }
        .feature-item:hover .feature-icon i,
        .faq-header button.faq-button.collapsed {
            background: #fff!important;
        }
        .team-carousel .owl-nav .owl-prev:hover, 
        .team-carousel .owl-nav .owl-next:hover,
        .blog-carousel .owl-nav .owl-prev:hover, 
        .blog-carousel .owl-nav .owl-next:hover,
        .button-df a:hover,
        .testimonial-carousel .owl-dots .owl-dot.active,
        .blog-author li.blog-button a:hover,
        .footer-item ul.footer-social li a:hover,
        .team-detail-text ul li a:hover,
        .form-button .btn:hover,
        .project-carousel .owl-nav .owl-prev:hover, 
        .project-carousel .owl-nav .owl-next:hover,
        .contact-form .btn:hover {
            background: #313131!important;
        }
        .footer-item ul.footer-social li a:hover,
        .contact-form .btn:hover {
            border-color: #313131!important;
        }
        .event-contact-item:hover,
        .faq-body,
        .feature-item:hover .feature-icon i, .faq-header button.faq-button.collapsed {
            background: #f5f5f5!important;
        }

        .booking-form input:focus,
        .booking-form textarea:focus {
            border-color: #fff!important;
        }

        .booking-form button[type="submit"] {
            background: #313131!important;
            color: #fff!important;
        }

        .booking-form button[type="submit"]:hover {
            background: #fff!important;
            color: #313131!important;
        }
    </style>

</head>

<body>
    <?php echo $comment->code_body; ?>


    <!--Header-Area Start-->
    <div class="header-area">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-5 col-12">
                    <div class="header-social">
                        <ul>
                            <li>
                                <div class="social-bar">
                                    <ul>
                                    <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($data->social_url != ''): ?>
                                            <li>
                                                <a href="<?php echo e($data->social_url); ?>">
                                                    <i class="<?php echo e($data->social_icon); ?>"></i>
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-7 col-12">
                    <div class="header-info">
                        <ul class="first">
                            <li>
                                <i class="fa fa-envelope"></i>
                                <span><?php echo e($setting->top_bar_email); ?></span>
                            </li>
                            <li>
                                <i class="fa fa-phone"></i>
                                <span><?php echo e($setting->top_bar_phone); ?></span>
                            </li>
                        </ul>


                        <?php if($setting->language_status == 'Show'): ?>
                        <div class="lang-right">
                            <form method="POST" action="<?php echo e(route('lang.change')); ?>">
                                <?php echo csrf_field(); ?>
                                <select name="lang_change_id" class="form-control" onchange="this.form.submit()">
                                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($lang->id); ?>" <?php if($lang->id == session('session_lang_id')): ?> selected <?php endif; ?>><?php echo e($lang->short_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </form>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Header-Area End-->

    <!--Menu Start-->
    <div id="strickymenu" class="menu-area">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-12">
                    <div class="logo flex">
                        <a href="<?php echo e(route('home.page')); ?>">
                            <img src="<?php echo e(asset('upload/'.$setting->logo)); ?>" alt="Logo">
                        </a>
                    </div>
                </div>
                <div class="col-lg-9 col-12 main-menu">
                    <div class="main-menu-item">
                        <ul class="nav-menu">

                            <?php
                                $check_menu = [];
                            ?>

                            <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php 
                                    $check_menu[$data->id] = $data->status; 
                                ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <?php if($check_menu[1] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.page')); ?>"><?php echo e(HOME); ?></a></li>
                            <?php endif; ?>

                            <?php if($check_menu[2] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.about')); ?>"><?php echo e(ABOUT); ?></a></li>
                            <?php endif; ?>

                            <?php if($check_menu[3] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.team')); ?>"><?php echo e(TEAM); ?></a></li>
                            <?php endif; ?>
                            <li class="menu-item-has-children">
                                <a href="javascript:void;">
                                    <div class="dropdown-main-container">
                                        <div class="name">
                                            <?php echo e(PAGE); ?>

                                        </div>
                                        <div class="icon">
                                            <i class="fas fa-sort-down"></i>
                                        </div>
                                    </div>
                                </a>
                                <ul>
                                    <?php if($check_menu[4] == 'Show'): ?>
                                    <li><a href="<?php echo e(route('home.event')); ?>"><?php echo e(EVENT); ?></a></li>
                                    <?php endif; ?>

                                    <?php if($check_menu[5] == 'Show'): ?>
                                    <li><a href="<?php echo e(route('home.photo.gallery')); ?>"><?php echo e(PHOTO_GALLERY); ?></a></li>
                                    <?php endif; ?>

                                    <?php if($check_menu[6] == 'Show'): ?>
                                    <li><a href="<?php echo e(route('home.testimonial')); ?>"><?php echo e(TESTIMONIAL); ?></a></li>
                                    <?php endif; ?>

                                    <?php if($check_menu[7] == 'Show'): ?>
                                    <li><a href="<?php echo e(route('home.faq')); ?>"><?php echo e(FAQ); ?></a></li>
                                    <?php endif; ?>

                                    <?php if($check_menu[8] == 'Show'): ?>
                                    <li><a href="<?php echo e(route('home.pricing')); ?>"><?php echo e(PRICING_TABLE); ?></a></li>
                                    <?php endif; ?>

                                    <?php if($count_dynamic_page >= 1): ?>
                                    <?php $__currentLoopData = $dynamic_pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(route('home.dynamic.page',$value->slug)); ?>"><?php echo e($value->name); ?></a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </ul>
                            </li>
                            <?php if($check_menu[9] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.service')); ?>"><?php echo e(SERVICE); ?></a></li>
                            <?php endif; ?>

                            <?php if($check_menu[10] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.portfolio')); ?>"><?php echo e(PORTFOLIO); ?></a></li>
                            <?php endif; ?>

                            <?php if($check_menu[11] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.news')); ?>"><?php echo e(NEWS); ?></a></li>
                            <?php endif; ?>

                            <?php if($check_menu[12] == 'Show'): ?>
                            <li><a href="<?php echo e(route('home.contact')); ?>"><?php echo e(CONTACT); ?></a></li>
                            <?php endif; ?>
                        </ul>
                    </div>
                    <div class="searchbar">
                        <div class="search-button"><i class="fa fa-search"></i></div>
                        <form method="POST" action="<?php echo e(route('home.search')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="input-group input-search">
                                <input type="text" class="form-control" placeholder="<?php echo e(SEARCH_FOR); ?>" name="search_string">
                                <span class="input-group-btn">
                                    <button class="btn btn-default" type="submit" name="form1"><i class="fa fa-search"></i></button>
                                </span>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Menu End-->

    <?php echo $__env->yieldContent('content'); ?>


    <!--Call Start-->
    <div class="call-us" style="background-image: url(<?php echo e(asset('upload/'.$footer_setting_lang_independent->cta_background)); ?>">
        <div class="container">
            <div class="row">
                <div class="col-lg-9 col-md-8 col-12">
                    <div class="call-text">
                        <h3><?php echo e($footer_setting->cta_text); ?></h3>
                    </div>
                </div>
                <div class="col-lg-3 col-md-4 col-12">
                    <div class="button">
                        <a href="<?php echo e($footer_setting->cta_button_url); ?>">
                            <?php echo e($footer_setting->cta_button_text); ?> 
                            <i class="fa fa-chevron-circle-right"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Call End-->

    <!--Footer-Area Start-->
    <div class="footer-area pt_60 pb_90">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="footer-item" id="newsletter">
                        <h3><?php echo e(FOOTER_1_HEADING); ?></h3>
                        <p>
                            <?php echo e($footer_setting->newsletter_text); ?>

                        </p>
                        <form method="POST" action="<?php echo e(route('home.subscriber')); ?>" class="form_subscriber_ajax">
                            <?php echo csrf_field(); ?>
                            
                            <div class="input-group">                            
                                <input type="email" class="form-control" placeholder="<?php echo e(EMAIL_ADDRESS); ?>" name="email">
                                <span class="input-group-btn">
                                    <button class="btn" type="submit" name="form_subscribe"><i class="fa fa-location-arrow"></i></button>
                                </span>                            
                            </div>
                            <span class="text-danger error-text email_error"></span>
                        </form>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-item footer-recent-post">
                        <h3><?php echo e(FOOTER_2_HEADING); ?></h3>
                        <ul>
                            <?php 
                                $i=0; 
                            ?>
                            <?php $__currentLoopData = $all_news; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $news): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php 
                                    $i++; 
                                ?>
                                <?php if($i > $footer_setting_lang_independent->footer_recent_news_item): ?>
                                    <?php break; ?>
                                <?php endif; ?>
                                <li><span><a href="<?php echo e(route('news.view',$news->slug)); ?>"><i class="fas fa-caret-right"></i> <?php echo e($news->title); ?></a></span></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-item">
                        <h3><?php echo e(FOOTER_3_HEADING); ?></h3>
                        <div class="row pl-10 pr-10">
                            <?php 
                                $i=0; 
                            ?>
                            <?php $__currentLoopData = $portfolios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $portfolio): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php 
                                    $i++; 
                                ?>
                                <?php if($i > $footer_setting_lang_independent->footer_recent_portfolio_item): ?>
                                    <?php break; ?>
                                <?php endif; ?>
                                <div class="col-4 footer-project">
                                    <a href="<?php echo e(route('portfolio.view',$portfolio->slug)); ?>"><img src="<?php echo e(asset('upload/'.$portfolio->photo)); ?>" alt="Project Photo"></a>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                            
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-item">
                        <h3><?php echo e(FOOTER_4_HEADING); ?></h3>
                        <div class="footer-address-item">
                            <div class="icon"><?php if($footer_setting->footer_address): ?><i class="fas fa-map-marker-alt"></i><?php endif; ?></div>
                            <div class="text">
                                <span>
                                    <?php echo e($footer_setting->footer_address); ?>

                                </span>
                            </div>
                        </div>
                        <div class="footer-address-item">
                            <div class="icon"><?php if($footer_setting->footer_phone): ?><i class="fa fa-phone"></i><?php endif; ?></div>
                            <div class="text">
                                <span>
                                    <?php echo e($footer_setting->footer_phone); ?>

                                </span>
                            </div>
                        </div>
                        <div class="footer-address-item">
                            <div class="icon"><?php if($footer_setting->footer_email): ?><i class="fas fa-envelope"></i><?php endif; ?></div>
                            <div class="text">
                                <span>
                                    <?php echo e($footer_setting->footer_email); ?>

                                </span>
                            </div>
                        </div>
                        <ul class="footer-social">
                            <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($row->social_url != ''): ?>
                                    <li>
                                        <a href="<?php echo e($row->social_url); ?>">
                                            <i class="<?php echo e($row->social_icon); ?>"></i>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="footer-bottom pt_50 pb_50">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="footer-menu">
                        <ul>
                            <li><a href="<?php echo e(route('home.page')); ?>"><?php echo e(HOME); ?></a></li>
                            <li><a href="<?php echo e(route('term.and.condition')); ?>"><?php echo e(TERMS_AND_CONDITIONS); ?></a></li>
                            <li><a href="<?php echo e(route('privacy.policy')); ?>"><?php echo e(PRIVACY_POLICY); ?></a></li>
                        </ul>
                    </div>

                    <?php if($setting->tawk_live_chat_status == 'On'): ?> 
                        <?php echo $setting->tawk_live_chat_code; ?>

                    <?php endif; ?>
                    <div class="copy-text">
                        <p>
                            <?php echo e($footer_setting->footer_copyright); ?>

                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Footer-Area End-->

    <!--Scroll-Top-->
    <?php if($setting->tawk_live_chat_status == 'On'): ?>
    <div class="scroll-top mb_80">
        <i class="fa fa-angle-up"></i>
    </div>
    <?php else: ?>
    <div class="scroll-top">
        <i class="fa fa-angle-up"></i>
    </div>
    <?php endif; ?>
    <!--Scroll-Top-->

    <!-- loader start here-->
    <div class="modal-busy" id="loader">
        <div class="center-busy" id="test-git">
            <img src="<?php echo e(asset('frontEnd/images/loading2.gif')); ?>">
        </div>
    </div>
    <!-- loader end here-->
   
    <script src="<?php echo e(asset('frontEnd/js/custom.js')); ?>"></script>
    <?php if(session('session_lang_id')): ?>
        <?php
            $lang = App\Models\Language::find(session('session_lang_id'));
        ?>
        <?php if($lang->layout_direction == 'Right'): ?>
            <script src="<?php echo e(asset('frontEnd/js/rtl.js')); ?>"></script>
        <?php else: ?>
            <script src="<?php echo e(asset('frontEnd/js/ltr.js')); ?>"></script>
        <?php endif; ?>
    <?php endif; ?>    
    
    <script>
    (function($){
        $(".form_subscriber_ajax").on('submit', function(e){
            e.preventDefault();
            $('#loader').show();
            var form = this;
            $.ajax({
                url:$(form).attr('action'),
                method:$(form).attr('method'),
                data:new FormData(form),
                processData:false,
                dataType:'json',
                contentType:false,
                beforeSend:function(){
                    $(form).find('span.error-text').text('');
                },
                success:function(data)
                {
                    $('#loader').hide();
                    if(data.code == 0)
                    {
                        $.each(data.error_message, function(prefix, val) {
                            $(form).find('span.'+prefix+'_error').text(val[0]);
                        });
                    }
                    else
                    {
                        $(form)[0].reset();

                        let Msg = Swal.mixin({
                            toast: true,
                            position: 'top-end',
                            icon: 'success',
                            showConfirmButton: false,
                            timer: 3000
                        })

                        Msg.fire({
                          type: 'success',
                          title: data.success_message,
                        })
                        
                    }
                }
            });
        });
    })(jQuery);
    </script>
    
    <?php echo $__env->yieldPushContent('js'); ?>

    <?php echo $__env->make('vendor.lara-izitoast.toast', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>
</html><?php /**PATH D:\laragon\www\phpscriptpoint\mulzix\mulzix\cms\resources\views/frontEnd/layouts/app.blade.php ENDPATH**/ ?>